This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 177512 - Review Request: mysql-connector-net
Review Request: mysql-connector-net
Status: CLOSED DUPLICATE of bug 1223455
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
: 177511 (view as bug list)
Depends On: 177508
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-11 07:33 EST by Paul F. Johnson
Modified: 2015-05-20 10:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-12 07:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-01-11 07:33:47 EST
Spec Name or Url: http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net.spec
SRPM Name or Url: http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net-1.0.7-1.src.rpm
Description: mysql-connector-net is a direct replacement for ByteFX.Data as shipped with mono (it is suggested by the Mono people to use m-c-n over ByteFX.Data as it is no longer being developed, though it is being bug fixed)

The current spec file works fine on x86 based machines, but due to a problem with the current rpms on other architectures, it is not guaranteed to compile
Comment 1 Ville Skyttä 2006-01-11 10:52:13 EST
*** Bug 177511 has been marked as a duplicate of this bug. ***
Comment 2 Paul F. Johnson 2006-01-12 09:52:01 EST
should work fine on any 32 bit architecture. For the moment, I'll change it to
exclude ia64 and x86_64. That will change when mono is packaged sanely
Comment 3 Paul F. Johnson 2006-01-12 10:20:26 EST
Spec Name or Url:
http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net.spec
SRPM Name or Url:
http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net-1.0.7-2.src.rpm

Due to my x86 machine having mono installed from source and my other boxes being
x86_64, only use the spec file held *outside* of the srpm. The test compile has
the dependancies commented out for the spec file (inside the srpm)
Comment 4 Paul Howarth 2006-01-12 10:33:19 EST
(In reply to comment #3)
> Spec Name or Url:
> http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net.spec
> SRPM Name or Url:
> http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net-1.0.7-2.src.rpm
> 
> Due to my x86 machine having mono installed from source and my other boxes being
> x86_64, only use the spec file held *outside* of the srpm. The test compile has
> the dependancies commented out for the spec file (inside the srpm)

You should be able to build i386 packages on an x86_64 box using mock - see:
http://fedoraproject.org/wiki/Legacy/Mock
Comment 5 Paul F. Johnson 2006-01-12 10:45:04 EST
That's not really the problem. 

Mono itself is incorrectly packaged. Instead of using %{_libdir}, it's using an
explicit rule for /usr/lib. The package itself will build happily (I've just
tested it on an x86 box in for repair!)
Comment 6 Paul F. Johnson 2006-01-12 12:28:41 EST
Spec Name or Url:
http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net.spec
SRPM Name or Url:
http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net-1.0.7-3.src.rpm

Now works with all platforms, though I'm less than happy using %{buildroot}/usr/lib

Comment 7 Paul Howarth 2006-01-12 13:03:15 EST
Don't use "%{__rm} -rf *" in %prep; it'll clobber any other package builds going
on in the same build area.

Instead of:
%prep
%{__mkdir} -p %{name}-%{version}
%{__rm} -rf *
%{__unzip} -q %{SOURCE0} -d %{name}-%{version}
%{__cp} %{SOURCE1} %{name}-%{version}

I'd suggest:
%prep
%setup -c -q
%{__cp} %{SOURCE1} .

By doing this you can also remove the "cd %{name}-%{version}" from the start of
%build.

I'd also suggest replacing the hardcoded "1.0.7" in the Source0 URL with
"%{version}" to ease future package updates, and please word-wrap %description
so that it's no longer than 80 characters per line.
Comment 8 Paul F. Johnson 2006-01-18 08:22:19 EST
Spec Name or Url:
http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net.spec
SRPM Name or Url:
http://www.all-the-johnsons.co.uk/mono/testing/mysql-connector-net-1.0.7-4.src.rpm

Changelog
---------

Altered spec file in accordance to Paul H's advice as well as altering a few
minor other bits.

This works happily under x86_64 and x86
Comment 9 Paul F. Johnson 2006-01-25 06:20:02 EST
Spec Name or Url:
http://www.smmp.salford.ac.uk/packages/mysql-connector-net.spec
SRPM Name or Url:
http://www.smmp.salford.ac.uk/mysql-connector-net-1.0.7-5.src.rpm

Updated spec file
Comment 10 Paul F. Johnson 2006-01-26 06:06:41 EST
SRPM Name or Url:
http://www.smmp.salford.ac.uk/packages/mysql-connector-net-1.0.7-5.src.rpm

d'oh!
Comment 11 Christopher Aillon 2006-03-15 20:34:56 EST
Claiming for review.
Comment 12 Paul F. Johnson 2006-04-13 19:25:09 EDT
ping - any action happening on this or the other mono packages I have for review?
Comment 13 Hans de Goede 2006-04-25 16:31:14 EDT
Paul,

It seems that your mono reviews are not moving along as intended. Although my
mono experience is limited, I'm willing to help.

Unfortunatly my time too is limited and currently there are a couple of other
reviews which I've already promised todo. However once those are done (this may
take upto a week) if nobody has done yours I'll start reviewing your
mono-packages. Do you have any preferences for which one I should review first?

Comment 14 Paul F. Johnson 2006-04-25 17:01:55 EDT
I guess any which haven't been assigned first would be useful. I'm not sure
about the licence for mysql-connector-net. From the looks of it, it's GPL with
restrictions.
Comment 15 Paul F. Johnson 2006-06-01 05:26:21 EDT
Spec Name or Url:
http://www.smmp.salford.ac.uk/packages/mysql-connector-net.spec

Updated spec file
Comment 16 Jason Tibbitts 2006-06-02 21:40:30 EDT
Is this actually under review?  It's assigned, but still blocking FE-NEW instead
of FE-REVIEW.
Comment 17 Paul F. Johnson 2006-06-03 04:17:39 EDT
Hopefully Chris will do something with this and the packages he's claimed after
the big RH pow-wow is over. I'm not sure that I can alter the blocker
Comment 18 Paul F. Johnson 2006-06-04 08:52:49 EDT
Spec Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net-1.0.7-5.src.rpm

Change of URL
Comment 19 Toshio Kuratomi 2006-06-06 23:08:04 EDT
There's no srpm at the provided URL.
Comment 20 Paul F. Johnson 2006-07-23 10:09:58 EDT
#19 - uploaded. sorry about that
Comment 21 Paul F. Johnson 2006-08-09 11:21:39 EDT
Spec Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net-1.0.7-6.src.rpm

Lots of changes!

Package now has the notorious mono hack included
Quite a lot of fixes to the spec file (I think I was drunk when I wrote it!)
Now includes a .pc file (means you can have -pkg:mysql-connector-net)
Includes a devel package with examples and a testsuite

It's warm, it's cuddly, it needs approving!

;-)
Comment 22 Jason Tibbitts 2006-08-12 22:44:08 EDT
It's been some months now with no reviewer input.  I propose that we invoke the
stalled review policy and assign this back to the phantom address so that
someone else can have a go at it.  I'll do this in a week unless the assignee
indicates otherwise.
Comment 23 Paul F. Johnson 2006-08-20 11:48:08 EDT
Time's up for this, can someone deallocate this package so someone else can pick
it up.

Anyone.

Please.

Someone.

Pick it up and review it ;-)
Comment 24 Paul Howarth 2006-08-21 07:19:24 EDT
Reassigning to nobody@fedoraproject.org as per the stalled review policy
(http://fedoraproject.org/wiki/Extras/Policy/StalledReviews).
Comment 25 Paul F. Johnson 2006-08-30 21:29:17 EDT
Spec Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net-1.0.7-6.src.rpm

64 bit clean
Comment 26 Paul F. Johnson 2006-09-06 15:56:53 EDT
Spec Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net.spec

Now FC-5 and FC-6/rawhide happy. FC-6 though will need BZ#205300 built and
installed first (BR gtk-sharp-devel)
Comment 27 Kevin Fenzi 2006-09-26 00:06:51 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
153f4bb405af5ae59565084a9ce6e1b1  mysql-connector-net-1.0.7-noinstall.zip
153f4bb405af5ae59565084a9ce6e1b1  mysql-connector-net-1.0.7-noinstall.zip.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
See below - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

SHOULD Items:

OK - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. Might change defattr from:
%defattr(-,root,root)
to
%defattr(-,root,root,-)

2. rpmlint says:

E: mysql-connector-net no-binary
E: mysql-connector-net only-non-binary-in-usr-lib

I think those can be ignored, as rpmlint doesn't know mono bins.

W: mysql-connector-net wrong-file-end-of-line-encoding /usr/share/doc/mysql-
connector-net-1.0.7/COPYING
W: mysql-connector-net wrong-file-end-of-line-encoding /usr/share/doc/mysql-
connector-net-1.0.7/EXCEPTIONS
W: mysql-connector-net wrong-file-end-of-line-encoding /usr/share/doc/mysql-
connector-net-1.0.7/CHANGES
W: mysql-connector-net wrong-file-end-of-line-encoding /usr/share/doc/mysql-
connector-net-1.0.7/README

Should run a quick:
%{__sed} -i 's/\r//'
on those files?

E: mysql-connector-net hardcoded-library-path in %{_prefix}/lib

I think this is due to the core mono packaging?

W: mysql-connector-net rpm-buildroot-usage %build rm -rf %{buildroot}

That rm -rf %{buildroot} should at the top of 'install' and not 'build' ?

E: mysql-connector-net-debuginfo empty-debuginfo-package

Why no debuginfo files? Other mono packages have them.
Comment 28 Paul F. Johnson 2006-09-27 17:29:12 EDT
Spec Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net.spec
SRPM Name or Url:
http://www.knox.net.nz/~nodoid/mysql-connector-net-1.0.7-8.src.rpm

Fixes the above problems.

"E: mysql-connector-net hardcoded-library-path in %{_prefix}/lib

I think this is due to the core mono packaging?"

Yes, for FC-5 until after FC-6 release when hopefully FC-5's version will be bumped

"E: mysql-connector-net-debuginfo empty-debuginfo-package
Why no debuginfo files? Other mono packages have them."

Depends on the package - if there are standard .so files in there, then debug
info is generated. Mono doesn't generate ELF debug info, so if it's a pure C#
package, the debuginfo package will be empty

"E: mysql-connector-net no-binary
E: mysql-connector-net only-non-binary-in-usr-lib

I think those can be ignored, as rpmlint doesn't know mono bins."

Correct ;-)
Comment 29 Kevin Fenzi 2006-09-28 13:34:00 EDT
ok, all the blockers I was seeing appear to be addressed, so this package is 
APPROVED. 

Don't forget to close this bug with NEXTRELEASE once it's been imported and 
built. 
Comment 30 Kevin Fenzi 2006-10-07 23:35:19 EDT
Ping Paul... it looks like this has been imported into cvs, but not added to 
owners or built. Any issues I can help with?

Comment 31 Paul F. Johnson 2006-10-08 04:01:10 EDT
Um, it should have. It will be in the next hour...
Comment 32 Toshio Ernie Kuratomi 2007-10-13 12:30:01 EDT
ping?

I see that the directory structure for this has been created in cvs but there
aren't any spec/source files present or packages built in the repository.
Comment 33 Claudio Rodrigo Pereyra DIaz 2015-05-20 10:37:10 EDT

*** This bug has been marked as a duplicate of bug 1223455 ***

Note You need to log in before you can comment on or make changes to this bug.